# Approves payments by message id. Tokens provided to this endpoint must use implicit or authorization code grant type flows. Endpoint: PUT /api/v3/payments/{messageId}/approve Version: v3 Security: client_credentials, implicit, client_credentials_dev, implicit_dev ## Path parameters: - `messageId` (string, required) The unique id for the payments ## Response 200 fields (text/plain): - `status` (integer) PaymentApproveResult * 0 - User has already approved payment * 1 - User cannot access all bankaccounts present in payment * 2 - Payment was approved * 3 - Payment is pending approvals * 4 - User cannot approve a payment they sent * 5 - Payment not found * 6 - File has completed approval Enum: 0, 1, 2, 3, 4, 5, 6 - `approvalsRemaining` (integer) Number of approvals before payment is sent to bank - `success` (boolean) Whether approval was successful - `message` (string,null) Message explaining status ## Response 400 fields (text/plain): - `status` (integer) PaymentApproveResult * 0 - User has already approved payment * 1 - User cannot access all bankaccounts present in payment * 2 - Payment was approved * 3 - Payment is pending approvals * 4 - User cannot approve a payment they sent * 5 - Payment not found * 6 - File has completed approval Enum: 0, 1, 2, 3, 4, 5, 6 - `approvalsRemaining` (integer) Number of approvals before payment is sent to bank - `success` (boolean) Whether approval was successful - `message` (string,null) Message explaining status ## Response 401 fields ## Response 404 fields